@font-face {
    font-family: 'CourierCyrPS';
    src: url('/fonts/CourierCyrPS.woff2') format('woff2'),
        url('/fonts/CourierCyrPS.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}


@font-face {
    font-family: 'CourierCyrPS-Bold';
    src: url('/fonts/CourierCyrPS-Bold.woff2') format('woff2'),
        url('/fonts/CourierCyrPS-Bold.woff') format('woff');
    font-weight:bold;
    font-style: normal;
    font-display: swap;
}


nav {
    display: block;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
}


.first-nav-line {
    display: -webkit-inline-flex;
    display: -ms-inline-flexbox;
    display: inline-flex;
    justify-content: flex-start;
    width: 100%;
    background-color: var(--page-color);
}


.second-nav-line {
    display: inline-flex;
    justify-content: flex-start;
    width: 100%;
    background-color: var(--accent-color);
    align-items: center;
    padding: 0 50px;
    gap: 10px;
}


.page-title {
    display: block;
    color: var(--accent-text-color);
    line-height: 33.6px;
    font-family: "CourierCyrPS", "Courier", monospace;
    font-size: 18px;
    text-decoration: none;
    align-items: center;
    flex-shrink: 0;
}

.second-nav-line span {
    color: var(--accent-text-color);
}

.second-nav-line svg {
    color: var(--accent-text-color);
}


.page-title:hover {
    text-decoration: underline;
}


.page-title:focus {
    outline: none;
    text-decoration: underline;
}


.logo-image {
    border-bottom: solid 2px var(--page-color);
    padding: 5px 0px 3px 0px;
    width: 200px;
}

.logo-image:hover {
    border-bottom: solid 2px var(--page-text-color);
}


.logo:focus-visible > .logo-image {
    border-bottom: solid 2px var(--page-text-color);
}


.logo {
    margin: auto 10px auto 50px;
    outline: none;
}




#menu-button {
    display: none;
    align-items: center;
    justify-content: center;
    border: none;
    background-color: var(--page-color);
    font-size: 25px;
    width: 40px;
}


#menu-button:focus {
    outline: none;
    background-color: var(--highlight-color);
}


#menu-button:hover {
    color: var(--accent-color);
    background-color: var(--highlight-color);
}


.nav-menu {
    display: flex;
}


.nav-links {
    display: inline-flex;
    line-height: 34px;
}


li {
    list-style-type: none;
}


.nav-link {
    font-family: "CourierCyrPS", "Courier", monospace;
    font-size: 15px;
    text-decoration: none;
    white-space: nowrap;
    color: var(--page-text-color);
    border: none;
    padding: 8px;
    height: 100%;
}


.nav-link:hover {
    color: var(--accent-color);
    background-color: var(--highlight-color);
}


.nav-link:focus-visible {
    outline: none;
    text-decoration: underline;
    text-decoration-color: var(--main-text-color);
}


.current {
    color: var(--shadow-color);
    background-color: var(--page-color);
}


.nav-link-top {
    display: flex;

}


    
@media screen and (max-width: 1000px) {
    .second-nav-line {
        justify-content: flex-start;
    }
}

@media screen and (-webkit-min-device-pixel-ratio: 2) and (max-width: 1280px) and (min-width: 640px), (max-width: 800px) {
    .first-nav-line {
        display: block;
    }


    .second-nav-line {
        padding: 0 20px;
    }
    
    
    .logo {
        margin-left: 20px;
    }
    
    
    .not-responsive {
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        height: 60px;
    }
    
    
    #menu-button {
        display: flex;
        width: 60px;
        height: 60px;
    }
    
    
    .nav-link-top {
        display: none;
    }
    
    
    .nav-links.responsive {
        display: block;
    }


    .nav-link-top.responsive {
        display: block;
        border-top: solid 1px var(--page-text-color);
        padding: 20px 0;
        margin-left: none;
        border-radius: 0;
        margin-top: 0;
        margin-bottom: 0;
        font-size: 20px;
    }
    
    
    .nav-links.responsive {
        width: 100%;
        margin-left: none;
        padding-left: none;
        border-bottom: solid 1px var(--page-text-color);
        text-align: center;
    }
    

    
    .second-nav-line.responsive {
        display: none;
    }
}


@media screen and (-webkit-min-device-pixel-ratio: 2) and (max-width: 1280px) and (min-width: 680px) {
    
    .logo {
        font-size: 30px;
    }
    
    
    .nav-link-top {
        font-size: 20px;
    }


    .page-title {
        font-size: 15px;
    }
    
}


@media (max-width: 680px) {
    
    .page-title {
        flex-shrink: 0;
        font-size: 15px;
    }
}



@media (max-width: 600px) {
    
    .page-title {
        flex-shrink: 0;
        font-size: 12px;
    }
}


@media (max-width: 500px) {
    
    .page-title {
        flex-shrink: 0;
        font-size: 10px;
    }
}